Introduction

This document is addressed to site administrators responsible for middleware installation and configuration. Goal of this wiki page is to provide some hints and examples about how to install and configure a IG StoRM Storage Element based on gLite middleware.

Repository settings for x86_64

$ cd /etc/yum/repos.d/
$ wget  http://repo-pd.italiangrid.it/mrepo/repos/glite/sl5/x86_64/dag.repo
$ wget  http://repo-pd.italiangrid.it/mrepo/repos/glite/sl5/x86_64/ig.repo
$ wget  http://repository.egi.eu/sw/production/cas/1/current/repo-files/egi-trustanchors.repo
$ wget  http://repo-pd.italiangrid.it/mrepo/repos/glite/sl5/x86_64/glite-generic.repo

Only for CNAF testbed

In order not to break dependencies with the cnaf-sl4.repo requirements, you have to set the protect=1 also into the ig.repo file only for ig_sl4_i386_externals and ig_sl4_i386_jpackage sections.

Please consider the following snippet as an example:

[ig_sl4_i386_externals]
name    = INFNGRID 3.1 i386 (externals)
baseurl = http://grid-it.cnaf.infn.it/mrepo/ig_sl4-i386/RPMS.3_1_0_externals/
enabled = 1
protect = 1

[ig_sl4_i386_jpackage]
name    = INFNGRID 3.1 i386 (jpackage)
baseurl = http://grid-it.cnaf.infn.it/mrepo/ig_sl4-i386/RPMS.3_1_0_jpackage/
enabled = 1
protect = 1

Pre-requisites: setting the ACL

Please pay attention that StoRM uses the ACLs on files and directories to enforce permissions. The ACL support is a compulsory feature the file system has to provide. If your StoRM installation works on standard POSIX file system (ext3), please be sure you have the option "acl" on the corresponding "fstab row".

Add in your /etc/fstab the acl declaration to the file system options:

$ cat /etc/fstab
/dev/VolGroup00/LogVol00 /                       ext3    defaults,acl        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
/dev/VolGroup00/LogVol01 swap                    swap    defaults        0 0

Remount the / as follow:

$ mount -v -o remount /
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw,acl)

Update host and perform the installation of package(s)

$ yum clean all

Remove the newest curl version (if any) and install the correct one:

$ wget http://grid018.ct.infn.it/mrepo/ig_sl4-i386/RPMS.3_1_0_externals/curl-7.15.5-2.sl4.i386.rpm
$ rpm -ivh --nodeps curl-7.15.5-2.sl4.i386.rpm
Preparing...                ########################################### [100%]
   1:curl                   ########################################### [100%]

Install the meta-packages:

$ yum install ig_SE_storm_backend ig_SE_storm_frontend
Loaded plugins: kernel-module
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package ig_SE_storm_backend.i386 0:3.1.0-0_ig55_sl4 set to be updated
--> Processing Dependency: glite-security-gsoap-plugin = 1.5.3-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-voms-api = 1.8.12-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-voms-api-c = 1.8.12-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-trustmanager = 1.8.16-3 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-util-java = 1.4.0-1 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-voms-clients = 1.8.12-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-voms-api-cpp = 1.8.12-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glue-schema >= 1.3.0-5 for package: ig_SE_storm_backend
--> Processing Dependency: CGSI_gSOAP_2.7-voms >= 1.3.3-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: vdt_globus_sdk >= VDT1.6.1x86_rhas_4-9 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcas-plugins-voms >= 1.3.4-5.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: storm-backend-server >= 1.5.6-3.sl4 for package: ig_SE_storm_backend
--> Processing Dependency: openssl-devel >= 0.9.7a-43.17.el4_6.1 for package: ig_SE_storm_backend
--> Processing Dependency: storm-info-dynamic >= 1.6.0-1.sl4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcmaps >= 1.4.7-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: xmlrpc-c >= 1.04-1 for package: ig_SE_storm_backend
--> Processing Dependency: gpt >= VDT1.6.0x86_rhas_4-1 for package: ig_SE_storm_backend
--> Processing Dependency: log4cxx >= 0.9.7-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: xalan-c >= 1.10.0-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: log4cpp >= 1.0-1.el4.rf for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcas >= 1.3.11-2.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-initscript-globus-gridftp >= 1.0.2-1 for package: ig_SE_storm_backend
--> Processing Dependency: vdt_globus_data_server >= VDT1.6.1x86_rhas_4-7 for package: ig_SE_storm_backend
--> Processing Dependency: glite-yaim-core >= 4.0.11-2 for package: ig_SE_storm_backend
--> Processing Dependency: vdt_globus_rm_server >= VDT1.6.1x86_rhas_4_LCG-1 for package: ig_SE_storm_backend
--> Processing Dependency: bdii >= 4.0.1-4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-info-generic >= 2.0.2-3 for package: ig_SE_storm_backend
--> Processing Dependency: glite-version >= 3.1.1-2 for package: ig_SE_storm_backend
--> Processing Dependency: lcg-vomscerts >= 5.9.0-1 for package: ig_SE_storm_backend
--> Processing Dependency: mysql >= 4.1.22-2.el4.sl for package: ig_SE_storm_backend
--> Processing Dependency: glite-info-provider-service >= 1.1.7-0 for package: ig_SE_storm_backend
--> Processing Dependency: vdt_globus_rm_essentials >= VDT1.6.1x86_rhas_4-7 for package: ig_SE_storm_backend
--> Processing Dependency: edg-mkgridmap-conf >= 3.0.0-1 for package: ig_SE_storm_backend
--> Processing Dependency: xerces-c >= 2.7.0-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcmaps-plugins-verify-proxy >= 1.4.2-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: lcg-expiregridmapdir >= 2.1.0-1 for package: ig_SE_storm_backend
--> Processing Dependency: ig-yaim >= 4.0.12-5 for package: ig_SE_storm_backend
--> Processing Dependency: mysql-server >= 4.1.22-2.el4.sl for package: ig_SE_storm_backend
--> Processing Dependency: fetch-crl >= 2.7.0-1 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcas-plugins-check-executable >= 1.2.1-3.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-info-provider-release >= 1.0.0-9 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcas-interface >= 1.3.11-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcas-plugins-basic >= 1.3.2-3.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcmaps-without-gsi >= 1.4.2-1.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: edg-mkgridmap >= 3.0.0-1 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcmaps-plugins-basic >= 1.3.10-2.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: ig-vomscerts-all >= 1.1-12 for package: ig_SE_storm_backend
--> Processing Dependency: ig-yaim-storm >= 4.0.9-9 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcmaps-plugins-voms >= 1.3.7-5.slc4 for package: ig_SE_storm_backend
--> Processing Dependency: vdt_globus_essentials >= VDT1.6.1x86_rhas_4-9 for package: ig_SE_storm_backend
--> Processing Dependency: edg-gpt-profile >= 1.0.0-1 for package: ig_SE_storm_backend
--> Processing Dependency: lcg-vomscerts-desy >= 0.0.9-1 for package: ig_SE_storm_backend
--> Processing Dependency: glite-security-lcas-lcmaps-gt4-interface >= 0.0.14-2.slc4 for package: ig_SE_storm_backend
---> Package ig_SE_storm_frontend.i386 0:3.1.0-0_ig55_sl4 set to be updated
--> Processing Dependency: storm-frontend-server-gcc32dbgpthr >= 1.5.0-4.sl4 for package: ig_SE_storm_frontend
--> Running transaction check
---> Package CGSI_gSOAP_2.7-voms.i386 0:1.3.3-1.slc4 set to be updated
---> Package bdii.noarch 0:4.0.1-4 set to be updated
--> Processing Dependency: openldap-servers for package: bdii
--> Processing Dependency: perl-libwww-perl for package: bdii
--> Processing Dependency: perl(LWP::Simple) for package: bdii
--> Processing Dependency: openldap-clients for package: bdii
---> Package edg-gpt-profile.noarch 0:1.0.0-1 set to be updated
---> Package edg-mkgridmap.noarch 0:3.0.0-1 set to be updated
--> Processing Dependency: perl(IO::Socket::SSL) >= 0.90 for package: edg-mkgridmap
--> Processing Dependency: perl(Net::SSLeay) >= 1.16 for package: edg-mkgridmap
--> Processing Dependency: perl(Net::LDAPS) for package: edg-mkgridmap
--> Processing Dependency: perl(URI::http) for package: edg-mkgridmap
--> Processing Dependency: perl(XML::Parser) for package: edg-mkgridmap
--> Processing Dependency: perl(URI) for package: edg-mkgridmap
--> Processing Dependency: perl(URI::ldap) for package: edg-mkgridmap
--> Processing Dependency: perl(Crypt::SSLeay) for package: edg-mkgridmap
--> Processing Dependency: perl(XML::DOM) for package: edg-mkgridmap
--> Processing Dependency: perl(Net::LDAP::Util) for package: edg-mkgridmap
--> Processing Dependency: perl(Net::LDAP) for package: edg-mkgridmap
--> Processing Dependency: perl(Date::Manip) for package: edg-mkgridmap
--> Processing Dependency: perl(Term::ReadKey) for package: edg-mkgridmap
---> Package edg-mkgridmap-conf.noarch 0:3.0.0-1 set to be updated
---> Package fetch-crl.noarch 0:2.7.0-1 set to be updated
---> Package glite-info-generic.noarch 0:2.0.2-3 set to be updated
---> Package glite-info-provider-release.noarch 0:1.0.2-1 set to be updated
---> Package glite-info-provider-service.noarch 0:1.1.7-0 set to be updated
---> Package glite-initscript-globus-gridftp.noarch 0:1.0.2-1 set to be updated
---> Package glite-security-gsoap-plugin.i386 0:1.5.3-1.slc4 set to be updated
--> Processing Dependency: c-ares >= 1.3.0 for package: glite-security-gsoap-plugin
--> Processing Dependency: libcares.so.0 for package: glite-security-gsoap-plugin
---> Package glite-security-lcas.i386 0:1.3.11-2.slc4 set to be updated
--> Processing Dependency: libssl.so.4 for package: glite-security-lcas
--> Processing Dependency: libcrypto.so.4 for package: glite-security-lcas
---> Package glite-security-lcas-interface.i386 0:1.3.11-1.slc4 set to be updated
---> Package glite-security-lcas-lcmaps-gt4-interface.i386 0:0.0.14-2.slc4 set to be updated
---> Package glite-security-lcas-plugins-basic.i386 0:1.3.2-3.slc4 set to be updated
---> Package glite-security-lcas-plugins-check-executable.i386 0:1.2.1-3.slc4 set to be updated
---> Package glite-security-lcas-plugins-voms.i386 0:1.3.4-5.slc4 set to be updated
--> Processing Dependency: libgridsite_globus.so.1.1 for package: glite-security-lcas-plugins-voms
---> Package glite-security-lcmaps.i386 0:1.4.7-1.slc4 set to be updated
---> Package glite-security-lcmaps-plugins-basic.i386 0:1.3.10-2.slc4 set to be updated
--> Processing Dependency: libldap-2.2.so.7 for package: glite-security-lcmaps-plugins-basic
---> Package glite-security-lcmaps-plugins-verify-proxy.i386 0:1.4.2-1.slc4 set to be updated
---> Package glite-security-lcmaps-plugins-voms.i386 0:1.3.7-5.slc4 set to be updated
---> Package glite-security-lcmaps-without-gsi.i386 0:1.4.2-1.slc4 set to be updated
---> Package glite-security-trustmanager.noarch 0:1.8.16-3 set to be updated
--> Processing Dependency: log4j >= 1.2.14 for package: glite-security-trustmanager
--> Processing Dependency: bouncycastle >= 1.37 for package: glite-security-trustmanager
---> Package glite-security-util-java.noarch 0:1.4.0-1 set to be updated
---> Package glite-security-voms-api.i386 0:1.8.12-1.slc4 set to be updated
---> Package glite-security-voms-api-c.i386 0:1.8.12-1.slc4 set to be updated
---> Package glite-security-voms-api-cpp.i386 0:1.8.12-1.slc4 set to be updated
---> Package glite-security-voms-clients.i386 0:1.8.12-1.slc4 set to be updated
---> Package glite-version.noarch 0:3.1.2-1 set to be updated
---> Package glite-yaim-core.noarch 0:4.0.13-2 set to be updated
---> Package glue-schema.noarch 0:1.3.0-5 set to be updated
---> Package gpt.i386 0:VDT1.6.0x86_rhas_4-1 set to be updated
---> Package ig-vomscerts-all.noarch 0:1.1-13 set to be updated
---> Package ig-yaim.noarch 0:4.0.12-8_bc set to be updated
---> Package ig-yaim-storm.noarch 0:4.0.9-11 set to be updated
---> Package lcg-expiregridmapdir.noarch 0:2.1.0-1 set to be updated
---> Package lcg-vomscerts.noarch 0:6.3.0-1 set to be updated
---> Package lcg-vomscerts-desy.noarch 0:0.0.11-1 set to be updated
---> Package log4cpp.i386 0:1.0-9.el5 set to be updated
---> Package log4cxx.i686 0:0.9.7-1.slc4 set to be updated
---> Package mysql.i386 0:5.0.77-4.el5_5.4 set to be updated
--> Processing Dependency: perl(DBI) for package: mysql
---> Package mysql-server.i386 0:5.0.77-4.el5_5.4 set to be updated
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server
---> Package openssl-devel.i386 0:0.9.8e-12.el5_5.7 set to be updated
--> Processing Dependency: openssl = 0.9.8e-12.el5_5.7 for package: openssl-devel
--> Processing Dependency: zlib-devel for package: openssl-devel
--> Processing Dependency: krb5-devel for package: openssl-devel
---> Package storm-backend-server.i386 0:1.5.6-3.sl4 set to be updated
---> Package storm-frontend-server-gcc32dbgpthr.i386 0:1.5.0-4.sl4 set to be updated
---> Package storm-info-dynamic.i386 0:1.6.0-1.sl4 set to be updated
---> Package vdt_globus_data_server.i386 0:VDT1.6.1x86_rhas_4-7 set to be updated
---> Package vdt_globus_essentials.i386 0:VDT1.6.1x86_rhas_4-9 set to be updated
---> Package vdt_globus_rm_essentials.i386 0:VDT1.6.1x86_rhas_4-7 set to be updated
---> Package vdt_globus_rm_server.i386 0:VDT1.6.1x86_rhas_4_LCG-1 set to be updated
---> Package vdt_globus_sdk.i386 0:VDT1.6.1x86_rhas_4-9 set to be updated
---> Package xalan-c.i686 0:1.10.0-1.slc4 set to be updated
---> Package xerces-c.i386 0:2.7.0-1.2.el4.rf set to be updated
---> Package xmlrpc-c.i386 0:1.04-1 set to be updated
--> Running transaction check
---> Package bouncycastle.noarch 0:1.43-1.jpp5 set to be updated
--> Processing Dependency: geronimo-javamail-1.4-api for package: bouncycastle
--> Processing Dependency: geronimo-jaf-1.0.2-api for package: bouncycastle
---> Package c-ares.i686 0:1.3.0-4.slc4 set to be updated
---> Package compat-openldap.i386 0:2.3.43_2.2.29-12.el5_5.1 set to be updated
--> Processing Dependency: openldap = 2.3.43-12.el5_5.1 for package: compat-openldap
---> Package gridsite-shared.i386 0:1.1.21-1.slc4 set to be updated
---> Package krb5-devel.i386 0:1.6.1-55.el5_6.1 set to be updated
--> Processing Dependency: krb5-libs = 1.6.1-55.el5_6.1 for package: krb5-devel
--> Processing Dependency: libselinux-devel for package: krb5-devel
--> Processing Dependency: e2fsprogs-devel for package: krb5-devel
--> Processing Dependency: keyutils-libs-devel for package: krb5-devel
---> Package log4j.noarch 0:1.2.14-15.jpp5 set to be updated
--> Processing Dependency: java >= 1.5.0 for package: log4j
--> Processing Dependency: jms_1_1_api for package: log4j
--> Processing Dependency: javamail_1_3_1_api for package: log4j
--> Processing Dependency: mx4j for package: log4j
---> Package openldap-clients.i386 0:2.3.43-12.el5_5.1 set to be updated
---> Package openldap-servers.i386 0:2.3.43-12.el5_5.1 set to be updated
--> Processing Dependency: libltdl.so.3 for package: openldap-servers
---> Package openssl.i686 0:0.9.8e-12.el5_5.7 set to be updated
---> Package openssl097a.i386 0:0.9.7a-9.el5_4.2 set to be updated
---> Package perl-Crypt-SSLeay.i386 0:0.51-11.el5 set to be updated
---> Package perl-DBD-MySQL.i386 0:3.0007-2.el5 set to be updated
---> Package perl-DBI.i386 0:1.52-2.el5 set to be updated
---> Package perl-Date-Manip.noarch 0:5.56-1.el4.rf set to be updated
---> Package perl-IO-Socket-SSL.noarch 0:1.38-1.el4.rf set to be updated
---> Package perl-LDAP.noarch 1:0.33-3.fc6 set to be updated
--> Processing Dependency: perl(Convert::ASN1) for package: perl-LDAP
--> Processing Dependency: perl(XML::SAX::Base) for package: perl-LDAP
---> Package perl-Net-SSLeay.i386 0:1.36-1.el4.rf set to be updated
---> Package perl-TermReadKey.i386 0:2.30-5.el5 set to be updated
---> Package perl-URI.noarch 0:1.35-3 set to be updated
---> Package perl-XML-DOM.noarch 0:1.44-2.el4.rf set to be updated
--> Processing Dependency: perl(XML::RegExp) for package: perl-XML-DOM
---> Package perl-XML-Parser.i386 0:2.34-6.1.2.2.1 set to be updated
---> Package perl-libwww-perl.noarch 0:5.805-1.1.1 set to be updated
--> Processing Dependency: perl-HTML-Parser >= 3.33 for package: perl-libwww-perl
--> Processing Dependency: perl(HTML::Entities) for package: perl-libwww-perl
--> Processing Dependency: perl(Compress::Zlib) for package: perl-libwww-perl
---> Package zlib-devel.i386 0:1.2.3-3 set to be updated
--> Running transaction check
---> Package classpathx-mail.noarch 0:1.1.2-1.jpp5 set to be updated
--> Processing Dependency: jaf_1_1_api for package: classpathx-mail
---> Package e2fsprogs-devel.i386 0:1.39-23.el5 set to be updated
---> Package geronimo-jaf-1.0.2-api.noarch 0:1.2-13.jpp5 set to be updated
--> Processing Dependency: geronimo-specs-poms = 1.2-13.jpp5 for package: geronimo-jaf-1.0.2-api
---> Package geronimo-javamail-1.4-api.noarch 0:1.2-13.jpp5 set to be updated
---> Package geronimo-jms-1.1-api.noarch 0:1.2-13.jpp5 set to be updated
---> Package java-1.6.0-sun-compat.i586 0:1.6.0.22-3.sl5.jpp set to be updated
--> Processing Dependency: jdk = 2000:1.6.0_22-fcs for package: java-1.6.0-sun-compat
--> Processing Dependency: /usr/bin/xsltproc for package: java-1.6.0-sun-compat
--> Processing Dependency: /usr/bin/xsltproc for package: java-1.6.0-sun-compat
---> Package keyutils-libs-devel.i386 0:1.2-1.el5 set to be updated
--> Processing Dependency: krb5-libs = 1.6.1-36.el5_5.2 for package: krb5-workstation
---> Package krb5-libs.i386 0:1.6.1-55.el5_6.1 set to be updated
---> Package libselinux-devel.i386 0:1.33.4-5.5.el5 set to be updated
--> Processing Dependency: libsepol-devel >= 1.15.2-1 for package: libselinux-devel
---> Package libtool-ltdl.i386 0:1.5.22-7.el5_4 set to be updated
---> Package mx4j.i386 1:3.0.1-6jpp.4 set to be updated
--> Processing Dependency: javamail >= 1.2-5jpp for package: mx4j
--> Processing Dependency: bcel >= 5.0 for package: mx4j
--> Processing Dependency: jakarta-commons-logging >= 1.0.1 for package: mx4j
--> Processing Dependency: axis >= 1.1 for package: mx4j
--> Processing Dependency: xml-commons for package: mx4j
--> Processing Dependency: xml-commons-resolver for package: mx4j
---> Package openldap.i386 0:2.3.43-12.el5_5.1 set to be updated
---> Package perl-Compress-Zlib.i386 0:1.42-1.fc6 set to be updated
---> Package perl-Convert-ASN1.noarch 0:0.20-1.1 set to be updated
---> Package perl-HTML-Parser.i386 0:3.55-1.fc6 set to be updated
--> Processing Dependency: perl-HTML-Tagset >= 3.03 for package: perl-HTML-Parser
--> Processing Dependency: perl(HTML::Tagset) for package: perl-HTML-Parser
---> Package perl-XML-RegExp.noarch 0:0.03-1.2.el4.rf set to be updated
---> Package perl-XML-SAX.noarch 0:0.14-8 set to be updated
--> Processing Dependency: perl(XML::NamespaceSupport) for package: perl-XML-SAX
--> Running transaction check
---> Package axis.i386 0:1.2.1-2jpp.6 set to be updated
--> Processing Dependency: jakarta-commons-discovery for package: axis
--> Processing Dependency: jakarta-commons-httpclient for package: axis
--> Processing Dependency: wsdl4j for package: axis
---> Package bcel.noarch 0:5.1-16.jpp5 set to be updated
--> Processing Dependency: regexp for package: bcel
---> Package geronimo-specs-poms.noarch 0:1.2-13.jpp5 set to be updated
---> Package glassfish-jaf.noarch 0:1.1.0-5.jpp5 set to be updated
---> Package glassfish-javamail.noarch 0:1.4.0-3.jpp5 set to be updated
---> Package jakarta-commons-logging.noarch 0:1.1-8.jpp5 set to be updated
---> Package jdk.i586 2000:1.6.0_22-fcs set to be updated
---> Package krb5-workstation.i386 0:1.6.1-55.el5_6.1 set to be updated
---> Package libsepol-devel.i386 0:1.15.2-3.el5 set to be updated
---> Package libxslt.i386 0:1.1.17-2.el5_2.2 set to be updated
---> Package perl-HTML-Tagset.noarch 0:3.10-2.1.1 set to be updated
---> Package perl-XML-NamespaceSupport.noarch 0:1.09-1.2.1 set to be updated
---> Package xml-commons.noarch 0:1.3.04-5.jpp5 set to be updated
---> Package xml-commons-resolver.i386 0:1.1-1jpp.12 set to be updated
--> Running transaction check
---> Package jakarta-commons-discovery.i386 1:0.3-4jpp.1 set to be updated
---> Package jakarta-commons-httpclient.i386 1:3.0-7jpp.1 set to be updated
---> Package regexp.noarch 0:1.5-1.jpp5 set to be updated
---> Package wsdl4j.i386 0:1.5.2-4jpp.1 set to be updated
--> Finished Dependency Resolution
Beginning Kernel Module Plugin
Finished Kernel Module Plugin

Dependencies Resolved

=============================================================================================================================================================
 Package                                                Arch             Version                            Repository                                  Size
=============================================================================================================================================================
Installing:
 ig_SE_storm_backend                                    i386             3.1.0-0_ig55_sl4                   ig_sl4_i386                                3.5 k
 ig_SE_storm_frontend                                   i386             3.1.0-0_ig55_sl4                   ig_sl4_i386                                3.1 k
Installing for dependencies:
 CGSI_gSOAP_2.7-voms                                    i386             1.3.3-1.slc4                       glite-generic_sl4_i386_updates             164 k
 axis                                                   i386             1.2.1-2jpp.6                       sl-base                                    3.1 M
 bcel                                                   noarch           5.1-16.jpp5                        ig_sl4_i386_jpackage                       459 k
 bdii                                                   noarch           4.0.1-4                            glite-generic_sl4_i386_updates              22 k
 bouncycastle                                           noarch           1.43-1.jpp5                        ig_sl4_i386_jpackage                       3.1 M
 c-ares                                                 i686             1.3.0-4.slc4                       glite-generic_sl4_i386_externals            93 k
 classpathx-mail                                        noarch           1.1.2-1.jpp5                       ig_sl4_i386_jpackage                       784 k
 compat-openldap                                        i386             2.3.43_2.2.29-12.el5_5.1           sl-security                                258 k
 e2fsprogs-devel                                        i386             1.39-23.el5                        sl-base                                    569 k
 edg-gpt-profile                                        noarch           1.0.0-1                            ig_sl4_i386_externals                      2.2 k
 edg-mkgridmap                                          noarch           3.0.0-1                            glite-generic_sl4_i386_updates              37 k
 edg-mkgridmap-conf                                     noarch           3.0.0-1                            glite-generic_sl4_i386_updates              21 k
 fetch-crl                                              noarch           2.7.0-1                            ig_sl4_i386                                 20 k
 geronimo-jaf-1.0.2-api                                 noarch           1.2-13.jpp5                        ig_sl4_i386_jpackage                        39 k
 geronimo-javamail-1.4-api                              noarch           1.2-13.jpp5                        ig_sl4_i386_jpackage                       183 k
 geronimo-jms-1.1-api                                   noarch           1.2-13.jpp5                        ig_sl4_i386_jpackage                        32 k
 geronimo-specs-poms                                    noarch           1.2-13.jpp5                        ig_sl4_i386_jpackage                        21 k
 glassfish-jaf                                          noarch           1.1.0-5.jpp5                       ig_sl4_i386_jpackage                        82 k
 glassfish-javamail                                     noarch           1.4.0-3.jpp5                       ig_sl4_i386_jpackage                       754 k
 glite-info-generic                                     noarch           2.0.2-3                            glite-generic_sl4_i386_release             5.4 k
 glite-info-provider-release                            noarch           1.0.2-1                            glite-generic_sl4_i386_updates             3.0 k
 glite-info-provider-service                            noarch           1.1.7-0                            glite-generic_sl4_i386_updates              26 k
 glite-initscript-globus-gridftp                        noarch           1.0.2-1                            glite-generic_sl4_i386_updates             5.0 k
 glite-security-gsoap-plugin                            i386             1.5.3-1.slc4                       glite-generic_sl4_i386_updates             1.2 M
 glite-security-lcas                                    i386             1.3.11-2.slc4                      glite-generic_sl4_i386_updates              75 k
 glite-security-lcas-interface                          i386             1.3.11-1.slc4                      glite-generic_sl4_i386_updates              11 k
 glite-security-lcas-lcmaps-gt4-interface               i386             0.0.14-2.slc4                      glite-generic_sl4_i386_updates              42 k
 glite-security-lcas-plugins-basic                      i386             1.3.2-3.slc4                       glite-generic_sl4_i386_updates              60 k
 glite-security-lcas-plugins-check-executable           i386             1.2.1-3.slc4                       glite-generic_sl4_i386_updates              11 k
 glite-security-lcas-plugins-voms                       i386             1.3.4-5.slc4                       glite-generic_sl4_i386_updates              74 k
 glite-security-lcmaps                                  i386             1.4.7-1.slc4                       glite-generic_sl4_i386_updates             247 k
 glite-security-lcmaps-plugins-basic                    i386             1.3.10-2.slc4                      glite-generic_sl4_i386_updates             108 k
 glite-security-lcmaps-plugins-verify-proxy             i386             1.4.2-1.slc4                       glite-generic_sl4_i386_updates              62 k
 glite-security-lcmaps-plugins-voms                     i386             1.3.7-5.slc4                       glite-generic_sl4_i386_updates             143 k
 glite-security-lcmaps-without-gsi                      i386             1.4.2-1.slc4                       glite-generic_sl4_i386_updates             167 k
 glite-security-trustmanager                            noarch           1.8.16-3                           glite-generic_sl4_i386_updates             1.6 M
 glite-security-util-java                               noarch           1.4.0-1                            glite-generic_sl4_i386_release             140 k
 glite-security-voms-api                                i386             1.8.12-1.slc4                      glite-generic_sl4_i386_updates              12 k
 glite-security-voms-api-c                              i386             1.8.12-1.slc4                      glite-generic_sl4_i386_updates             4.0 M
 glite-security-voms-api-cpp                            i386             1.8.12-1.slc4                      glite-generic_sl4_i386_updates             4.0 M
 glite-security-voms-clients                            i386             1.8.12-1.slc4                      glite-generic_sl4_i386_updates             706 k
 glite-version                                          noarch           3.1.2-1                            glite-generic_sl4_i386_updates             4.4 k
 glite-yaim-core                                        noarch           4.0.13-2                           glite-generic_sl4_i386_updates             124 k
 glue-schema                                            noarch           1.3.0-5                            glite-generic_sl4_i386_updates              30 k
 gpt                                                    i386             VDT1.6.0x86_rhas_4-1               glite-generic_sl4_i386_externals           854 k
 gridsite-shared                                        i386             1.1.21-1.slc4                      glite-generic_sl4_i386_updates              76 k
 ig-vomscerts-all                                       noarch           1.1-13                             ig_sl4_i386                                 28 k
 ig-yaim                                                noarch           4.0.12-8_bc                        ig_sl4_i386                                163 k
 ig-yaim-storm                                          noarch           4.0.9-11                           ig_sl4_i386                                 27 k
 jakarta-commons-discovery                              i386             1:0.3-4jpp.1                       sl-base                                    133 k
 jakarta-commons-httpclient                             i386             1:3.0-7jpp.1                       sl-base                                    513 k
 jakarta-commons-logging                                noarch           1.1-8.jpp5                         ig_sl4_i386_jpackage                       116 k
 java-1.6.0-sun-compat                                  i586             1.6.0.22-3.sl5.jpp                 sl-security                                 64 k
 jdk                                                    i586             2000:1.6.0_22-fcs                  sl-security                                 67 M
 keyutils-libs-devel                                    i386             1.2-1.el5                          sl-base                                     27 k
 krb5-devel                                             i386             1.6.1-55.el5_6.1                   sl-security                                1.9 M
 lcg-expiregridmapdir                                   noarch           2.1.0-1                            ig_sl4_i386_externals                      6.0 k
 lcg-vomscerts                                          noarch           6.3.0-1                            glite-generic_sl4_i386_updates              22 k
 lcg-vomscerts-desy                                     noarch           0.0.11-1                           ig_sl4_i386                                8.1 k
 libselinux-devel                                       i386             1.33.4-5.5.el5                     sl-base                                    143 k
 libsepol-devel                                         i386             1.15.2-3.el5                       sl-base                                    187 k
 libtool-ltdl                                           i386             1.5.22-7.el5_4                     sl-base                                     37 k
 libxslt                                                i386             1.1.17-2.el5_2.2                   sl-base                                    485 k
 log4cpp                                                i386             1.0-9.el5                          sl-security                                198 k
 log4cxx                                                i686             0.9.7-1.slc4                       glite-generic_sl4_i386_externals           2.8 M
 log4j                                                  noarch           1.2.14-15.jpp5                     ig_sl4_i386_jpackage                       352 k
 mx4j                                                   i386             1:3.0.1-6jpp.4                     sl-base                                    2.5 M
 mysql                                                  i386             5.0.77-4.el5_5.4                   sl-security                                4.8 M
 mysql-server                                           i386             5.0.77-4.el5_5.4                   sl-security                                9.8 M
 openldap-clients                                       i386             2.3.43-12.el5_5.1                  sl-security                                216 k
 openldap-servers                                       i386             2.3.43-12.el5_5.1                  sl-security                                3.1 M
 openssl-devel                                          i386             0.9.8e-12.el5_5.7                  sl-security                                1.9 M
 openssl097a                                            i386             0.9.7a-9.el5_4.2                   sl-base                                    822 k
 perl-Compress-Zlib                                     i386             1.42-1.fc6                         sl-base                                     52 k
 perl-Convert-ASN1                                      noarch           0.20-1.1                           sl-base                                     42 k
 perl-Crypt-SSLeay                                      i386             0.51-11.el5                        sl-base                                     45 k
 perl-DBD-MySQL                                         i386             3.0007-2.el5                       sl-base                                    147 k
 perl-DBI                                               i386             1.52-2.el5                         sl-base                                    604 k
 perl-Date-Manip                                        noarch           5.56-1.el4.rf                      dag                                        210 k
 perl-HTML-Parser                                       i386             3.55-1.fc6                         sl-base                                     92 k
 perl-HTML-Tagset                                       noarch           3.10-2.1.1                         sl-base                                     15 k
 perl-IO-Socket-SSL                                     noarch           1.38-1.el4.rf                      dag                                         57 k
 perl-LDAP                                              noarch           1:0.33-3.fc6                       sl-base                                    316 k
 perl-Net-SSLeay                                        i386             1.36-1.el4.rf                      dag                                        328 k
 perl-TermReadKey                                       i386             2.30-5.el5                         sl-base                                     32 k
 perl-URI                                               noarch           1.35-3                             sl-base                                    116 k
 perl-XML-DOM                                           noarch           1.44-2.el4.rf                      dag                                        185 k
 perl-XML-NamespaceSupport                              noarch           1.09-1.2.1                         sl-base                                     15 k
 perl-XML-Parser                                        i386             2.34-6.1.2.2.1                     sl-base                                    210 k
 perl-XML-RegExp                                        noarch           0.03-1.2.el4.rf                    dag                                        7.9 k
 perl-XML-SAX                                           noarch           0.14-8                             sl-base                                     77 k
 perl-libwww-perl                                       noarch           5.805-1.1.1                        sl-base                                    376 k
 regexp                                                 noarch           1.5-1.jpp5                         ig_sl4_i386_jpackage                        40 k
 storm-backend-server                                   i386             1.5.6-3.sl4                        ig_sl4_i386                                 15 M
 storm-frontend-server-gcc32dbgpthr                     i386             1.5.0-4.sl4                        ig_sl4_i386                                674 k
 storm-info-dynamic                                     i386             1.6.0-1.sl4                        ig_sl4_i386                                6.3 k
 vdt_globus_data_server                                 i386             VDT1.6.1x86_rhas_4-7               glite-generic_sl4_i386_externals           424 k
 vdt_globus_essentials                                  i386             VDT1.6.1x86_rhas_4-9               glite-generic_sl4_i386_externals            16 M
 vdt_globus_rm_essentials                               i386             VDT1.6.1x86_rhas_4-7               glite-generic_sl4_i386_updates             973 k
 vdt_globus_rm_server                                   i386             VDT1.6.1x86_rhas_4_LCG-1           glite-generic_sl4_i386_updates              41 k
 vdt_globus_sdk                                         i386             VDT1.6.1x86_rhas_4-9               glite-generic_sl4_i386_updates              27 M
 wsdl4j                                                 i386             1.5.2-4jpp.1                       sl-base                                    385 k
 xalan-c                                                i686             1.10.0-1.slc4                      glite-generic_sl4_i386_externals           1.9 M
 xerces-c                                               i386             2.7.0-1.2.el4.rf                   dag                                        1.4 M
 xml-commons                                            noarch           1.3.04-5.jpp5                      ig_sl4_i386_jpackage                       9.0 k
 xml-commons-resolver                                   i386             1.1-1jpp.12                        sl-base                                    148 k
 xmlrpc-c                                               i386             1.04-1                             ig_sl4_i386_externals                      251 k
 zlib-devel                                             i386             1.2.3-3                            sl-base                                    101 k
Updating for dependencies:
 krb5-libs                                              i386             1.6.1-55.el5_6.1                   sl-security                                666 k
 krb5-workstation                                       i386             1.6.1-55.el5_6.1                   sl-security                                885 k
 openldap                                               i386             2.3.43-12.el5_5.1                  sl-security                                295 k
 openssl                                                i686             0.9.8e-12.el5_5.7                  sl-security                                1.4 M

Transaction Summary
=============================================================================================================================================================
Install     110 Package(s)
Upgrade       4 Package(s)

Total download size: 190 M
Is this ok [y/N]: y
Downloading Packages:
(1/114): edg-gpt-profile-1.0.0-1.noarch.rpm                                                                                           | 2.2 kB     00:00     
(2/114): glite-info-provider-release-1.0.2-1.noarch.rpm                                                                               | 3.0 kB     00:00     
(3/114): ig_SE_storm_frontend-3.1.0-0_ig55_sl4.i386.rpm                                                                               | 3.1 kB     00:00     
(4/114): ig_SE_storm_backend-3.1.0-0_ig55_sl4.i386.rpm                                                                                | 3.5 kB     00:00     
(5/114): glite-version-3.1.2-1.noarch.rpm                                                                                             | 4.4 kB     00:00     
(6/114): glite-initscript-globus-gridftp-1.0.2-1.noarch.rpm                                                                           | 5.0 kB     00:00     
(7/114): glite-info-generic-2.0.2-3.noarch.rpm                                                                                        | 5.4 kB     00:00     
(8/114): lcg-expiregridmapdir-2.1.0-1.noarch.rpm                                                                                      | 6.0 kB     00:00     
(9/114): storm-info-dynamic-1.6.0-1.sl4.i386.rpm                                                                                      | 6.3 kB     00:00     
(10/114): perl-XML-RegExp-0.03-1.2.el4.rf.noarch.rpm                                                                                  | 7.9 kB     00:00     
(11/114): lcg-vomscerts-desy-0.0.11-1.noarch.rpm                                                                                      | 8.1 kB     00:00     
(12/114): xml-commons-1.3.04-5.jpp5.noarch.rpm                                                                                        | 9.0 kB     00:00     
(13/114): glite-security-lcas-interface-1.3.11-1.slc4.i386.rpm                                                                        |  11 kB     00:00     
(14/114): glite-security-lcas-plugins-check-executable-1.2.1-3.slc4.i386.rpm                                                          |  11 kB     00:00     
(15/114): glite-security-voms-api-1.8.12-1.slc4.i386.rpm                                                                              |  12 kB     00:00     
(16/114): perl-HTML-Tagset-3.10-2.1.1.noarch.rpm                                                                                      |  15 kB     00:00     
(17/114): perl-XML-NamespaceSupport-1.09-1.2.1.noarch.rpm                                                                             |  15 kB     00:00     
(18/114): fetch-crl-2.7.0-1.noarch.rpm                                                                                                |  20 kB     00:00     
(19/114): geronimo-specs-poms-1.2-13.jpp5.noarch.rpm                                                                                  |  21 kB     00:00     
(20/114): edg-mkgridmap-conf-3.0.0-1.noarch.rpm                                                                                       |  21 kB     00:00     
(21/114): lcg-vomscerts-6.3.0-1.noarch.rpm                                                                                            |  22 kB     00:00     
(22/114): bdii-4.0.1-4.noarch.rpm                                                                                                     |  22 kB     00:00     
(23/114): glite-info-provider-service-1.1.7-0.noarch.rpm                                                                              |  26 kB     00:00     
(24/114): ig-yaim-storm-4.0.9-11.noarch.rpm                                                                                           |  27 kB     00:00     
(25/114): keyutils-libs-devel-1.2-1.el5.i386.rpm                                                                                      |  27 kB     00:00     
(26/114): ig-vomscerts-all-1.1-13.noarch.rpm                                                                                          |  28 kB     00:00     
(27/114): glue-schema-1.3.0-5.noarch.rpm                                                                                              |  30 kB     00:00     
(28/114): perl-TermReadKey-2.30-5.el5.i386.rpm                                                                                        |  32 kB     00:00     
(29/114): geronimo-jms-1.1-api-1.2-13.jpp5.noarch.rpm                                                                                 |  32 kB     00:00     
(30/114): edg-mkgridmap-3.0.0-1.noarch.rpm                                                                                            |  37 kB     00:00     
(31/114): libtool-ltdl-1.5.22-7.el5_4.i386.rpm                                                                                        |  37 kB     00:00     
(32/114): geronimo-jaf-1.0.2-api-1.2-13.jpp5.noarch.rpm                                                                               |  39 kB     00:00     
(33/114): regexp-1.5-1.jpp5.noarch.rpm                                                                                                |  40 kB     00:00     
(34/114): vdt_globus_rm_server-VDT1.6.1x86_rhas_4_LCG-1.i386.rpm                                                                      |  41 kB     00:00     
(35/114): perl-Convert-ASN1-0.20-1.1.noarch.rpm                                                                                       |  42 kB     00:00     
(36/114): glite-security-lcas-lcmaps-gt4-interface-0.0.14-2.slc4.i386.rpm                                                             |  42 kB     00:00     
(37/114): perl-Crypt-SSLeay-0.51-11.el5.i386.rpm                                                                                      |  45 kB     00:00     
(38/114): perl-Compress-Zlib-1.42-1.fc6.i386.rpm                                                                                      |  52 kB     00:00     
(39/114): perl-IO-Socket-SSL-1.38-1.el4.rf.noarch.rpm                                                                                 |  57 kB     00:00     
(40/114): glite-security-lcas-plugins-basic-1.3.2-3.slc4.i386.rpm                                                                     |  60 kB     00:00     
(41/114): glite-security-lcmaps-plugins-verify-proxy-1.4.2-1.slc4.i386.rpm                                                            |  62 kB     00:00     
(42/114): java-1.6.0-sun-compat-1.6.0.22-3.sl5.jpp.i586.rpm                                                                           |  64 kB     00:00     
(43/114): glite-security-lcas-plugins-voms-1.3.4-5.slc4.i386.rpm                                                                      |  74 kB     00:00     
(44/114): glite-security-lcas-1.3.11-2.slc4.i386.rpm                                                                                  |  75 kB     00:00     
(45/114): gridsite-shared-1.1.21-1.slc4.i386.rpm                                                                                      |  76 kB     00:00     
(46/114): perl-XML-SAX-0.14-8.noarch.rpm                                                                                              |  77 kB     00:00     
(47/114): glassfish-jaf-1.1.0-5.jpp5.noarch.rpm                                                                                       |  82 kB     00:00     
(48/114): perl-HTML-Parser-3.55-1.fc6.i386.rpm                                                                                        |  92 kB     00:00     
(49/114): c-ares-1.3.0-4.slc4.i686.rpm                                                                                                |  93 kB     00:00     
(50/114): zlib-devel-1.2.3-3.i386.rpm                                                                                                 | 101 kB     00:00     
(51/114): glite-security-lcmaps-plugins-basic-1.3.10-2.slc4.i386.rpm                                                                  | 108 kB     00:00     
(52/114): perl-URI-1.35-3.noarch.rpm                                                                                                  | 116 kB     00:00     
(53/114): jakarta-commons-logging-1.1-8.jpp5.noarch.rpm                                                                               | 116 kB     00:00     
(54/114): glite-yaim-core-4.0.13-2.noarch.rpm                                                                                         | 124 kB     00:00     
(55/114): jakarta-commons-discovery-0.3-4jpp.1.i386.rpm                                                                               | 133 kB     00:00     
(56/114): glite-security-util-java-1.4.0-1.noarch.rpm                                                                                 | 140 kB     00:00     
(57/114): libselinux-devel-1.33.4-5.5.el5.i386.rpm                                                                                    | 143 kB     00:00     
(58/114): glite-security-lcmaps-plugins-voms-1.3.7-5.slc4.i386.rpm                                                                    | 143 kB     00:00     
(59/114): perl-DBD-MySQL-3.0007-2.el5.i386.rpm                                                                                        | 147 kB     00:00     
(60/114): xml-commons-resolver-1.1-1jpp.12.i386.rpm                                                                                   | 148 kB     00:00     
(61/114): ig-yaim-4.0.12-8_bc.noarch.rpm                                                                                              | 163 kB     00:00     
(62/114): CGSI_gSOAP_2.7-voms-1.3.3-1.slc4.i386.rpm                                                                                   | 164 kB     00:00     
(63/114): glite-security-lcmaps-without-gsi-1.4.2-1.slc4.i386.rpm                                                                     | 167 kB     00:00     
(64/114): geronimo-javamail-1.4-api-1.2-13.jpp5.noarch.rpm                                                                            | 183 kB     00:00     
(65/114): perl-XML-DOM-1.44-2.el4.rf.noarch.rpm                                                                                       | 185 kB     00:00     
(66/114): libsepol-devel-1.15.2-3.el5.i386.rpm                                                                                        | 187 kB     00:00     
(67/114): log4cpp-1.0-9.el5.i386.rpm                                                                                                  | 198 kB     00:00     
(68/114): perl-XML-Parser-2.34-6.1.2.2.1.i386.rpm                                                                                     | 210 kB     00:00     
(69/114): perl-Date-Manip-5.56-1.el4.rf.noarch.rpm                                                                                    | 210 kB     00:00     
(70/114): openldap-clients-2.3.43-12.el5_5.1.i386.rpm                                                                                 | 216 kB     00:00     
(71/114): glite-security-lcmaps-1.4.7-1.slc4.i386.rpm                                                                                 | 247 kB     00:00     
(72/114): xmlrpc-c-1.04-1.i386.rpm                                                                                                    | 251 kB     00:00     
(73/114): compat-openldap-2.3.43_2.2.29-12.el5_5.1.i386.rpm                                                                           | 258 kB     00:00     
(74/114): openldap-2.3.43-12.el5_5.1.i386.rpm                                                                                         | 295 kB     00:00     
(75/114): perl-LDAP-0.33-3.fc6.noarch.rpm                                                                                             | 316 kB     00:00     
(76/114): perl-Net-SSLeay-1.36-1.el4.rf.i386.rpm                                                                                      | 328 kB     00:00     
(77/114): log4j-1.2.14-15.jpp5.noarch.rpm                                                                                             | 352 kB     00:00     
(78/114): perl-libwww-perl-5.805-1.1.1.noarch.rpm                                                                                     | 376 kB     00:00     
(79/114): wsdl4j-1.5.2-4jpp.1.i386.rpm                                                                                                | 385 kB     00:00     
(80/114): vdt_globus_data_server-VDT1.6.1x86_rhas_4-7.i386.rpm                                                                        | 424 kB     00:00     
(81/114): bcel-5.1-16.jpp5.noarch.rpm                                                                                                 | 459 kB     00:00     
(82/114): libxslt-1.1.17-2.el5_2.2.i386.rpm                                                                                           | 485 kB     00:01     
(83/114): jakarta-commons-httpclient-3.0-7jpp.1.i386.rpm                                                                              | 513 kB     00:00     
(84/114): e2fsprogs-devel-1.39-23.el5.i386.rpm                                                                                        | 569 kB     00:00     
(85/114): perl-DBI-1.52-2.el5.i386.rpm                                                                                                | 604 kB     00:00     
(86/114): krb5-libs-1.6.1-55.el5_6.1.i386.rpm                                                                                         | 666 kB     00:00     
(87/114): storm-frontend-server-gcc32dbgpthr-1.5.0-4.sl4.i386.rpm                                                                     | 674 kB     00:00     
(88/114): glite-security-voms-clients-1.8.12-1.slc4.i386.rpm                                                                          | 706 kB     00:00     
(89/114): glassfish-javamail-1.4.0-3.jpp5.noarch.rpm                                                                                  | 754 kB     00:00     
(90/114): classpathx-mail-1.1.2-1.jpp5.noarch.rpm                                                                                     | 784 kB     00:00     
(91/114): openssl097a-0.9.7a-9.el5_4.2.i386.rpm                                                                                       | 822 kB     00:01     
(92/114): gpt-VDT1.6.0x86_rhas_4-1.i386.rpm                                                                                           | 854 kB     00:00     
(93/114): krb5-workstation-1.6.1-55.el5_6.1.i386.rpm                                                                                  | 885 kB     00:00     
(94/114): vdt_globus_rm_essentials-VDT1.6.1x86_rhas_4-7.i386.rpm                                                                      | 973 kB     00:00     
(95/114): glite-security-gsoap-plugin-1.5.3-1.slc4.i386.rpm                                                                           | 1.2 MB     00:00     
(96/114): xerces-c-2.7.0-1.2.el4.rf.i386.rpm                                                                                          | 1.4 MB     00:00     
(97/114): openssl-0.9.8e-12.el5_5.7.i686.rpm                                                                                          | 1.4 MB     00:02     
(98/114): glite-security-trustmanager-1.8.16-3.noarch.rpm                                                                             | 1.6 MB     00:00     
(99/114): krb5-devel-1.6.1-55.el5_6.1.i386.rpm                                                                                        | 1.9 MB     00:02     
(100/114): xalan-c-1.10.0-1.slc4.i686.rpm                                                                                             | 1.9 MB     00:00     
(101/114): openssl-devel-0.9.8e-12.el5_5.7.i386.rpm                                                                                   | 1.9 MB     00:02     
(102/114): mx4j-3.0.1-6jpp.4.i386.rpm                                                                                                 | 2.5 MB     00:02     
(103/114): log4cxx-0.9.7-1.slc4.i686.rpm                                                                                              | 2.8 MB     00:00     
(104/114): openldap-servers-2.3.43-12.el5_5.1.i386.rpm                                                                                | 3.1 MB     00:03     
(105/114): bouncycastle-1.43-1.jpp5.noarch.rpm                                                                                        | 3.1 MB     00:00     
(106/114): axis-1.2.1-2jpp.6.i386.rpm                                                                                                 | 3.1 MB     00:03     
(107/114): glite-security-voms-api-c-1.8.12-1.slc4.i386.rpm                                                                           | 4.0 MB     00:00     
(108/114): glite-security-voms-api-cpp-1.8.12-1.slc4.i386.rpm                                                                         | 4.0 MB     00:00     
(109/114): mysql-5.0.77-4.el5_5.4.i386.rpm                                                                                            | 4.8 MB     00:05     
(110/114): mysql-server-5.0.77-4.el5_5.4.i386.rpm                                                                                     | 9.8 MB     00:06     
(111/114): storm-backend-server-1.5.6-3.sl4.i386.rpm                                                                                  |  15 MB     00:01     
(112/114): vdt_globus_essentials-VDT1.6.1x86_rhas_4-9.i386.rpm                                                                        |  16 MB     00:01     
(113/114): vdt_globus_sdk-VDT1.6.1x86_rhas_4-9.i386.rpm                                                                               |  27 MB     00:01    
(114/114): jdk-1.6.0_22-fcs.i586.rpm                                                                                                  |  67 MB     00:21     
-------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                        2.0 MB/s | 190 MB     01:36     
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 6b8d79e6
dag/gpgkey                                                                                                                            | 1.6 kB     00:00     
Importing GPG key 0x6B8D79E6 "Dag Wieers (Dag Apt Repository v1.0) " from http://linuxsoft.cern.ch/cern/slc4X/i386/docs/RPM-GPG-KEY-dag
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : krb5-libs                                                                                                                           1/118 
  Updating       : openssl                                                                                                                             2/118 
  Updating       : openldap                                                                                                                            3/118 
  Installing     : openssl097a                                                                                                                         4/118 
  Installing     : perl-DBI                                                                                                                            5/118 
  Installing     : mysql                                                                                                                               6/118 
  Installing     : xmlrpc-c                                                                                                                            7/118 
  Installing     : perl-Net-SSLeay                                                                                                                     8/118 
  Installing     : xerces-c                                                                                                                            9/118 
  Installing     : xalan-c                                                                                                                            10/118 
  Installing     : perl-DBD-MySQL                                                                                                                     11/118 
  Installing     : mysql-server                                                                                                                       12/118 
  Installing     : openldap-clients                                                                                                                   13/118 
  Installing     : compat-openldap                                                                                                                    14/118 
  Installing     : perl-Crypt-SSLeay                                                                                                                  15/118 
  Installing     : perl-Compress-Zlib                                                                                                                 16/118 
  Installing     : libxslt                                                                                                                            17/118 
  Installing     : c-ares                                                                                                                             18/118 
  Installing     : libtool-ltdl                                                                                                                       19/118 
  Installing     : openldap-servers                                                                                                                   20/118 
  Installing     : log4cpp                                                                                                                            21/118 
  Installing     : gridsite-shared                                                                                                                    22/118 
  Installing     : perl-TermReadKey                                                                                                                   23/118 
  Installing     : log4cxx                                                                                                                            24/118 
  Installing     : jdk                                                                                                                                25/118 
Unpacking JAR files...
        rt.jar...
        jsse.jar...
        charsets.jar...
        tools.jar...
        localedata.jar...
        plugin.jar...
        javaws.jar...
        deploy.jar...
  Installing     : java-1.6.0-sun-compat                                                                                                              26/118 
  Installing     : glite-security-lcas-interface                                                                                                      27/118 
  Installing     : jakarta-commons-logging                                                                                                            28/118 
  Installing     : vdt_globus_sdk                                                                                                                     29/118 
  Installing     : geronimo-specs-poms                                                                                                                30/118 
  Installing     : geronimo-jaf-1.0.2-api                                                                                                             31/118 
  Installing     : gpt                                                                                                                                32/118 
Using system tar and gzip programs to unpack packages
GNU tar located at /bin/tar
GNU zip located at /bin/gzip
GNU unzip located at /bin/gunzip
GNU make located at /usr/bin/make
Perl located at /usr/bin/perl
rpm located at /bin/rpm
rpmbuild located at /bin/rpm
RPM Package License set to GNU
RPM Package Vendor set to NCSA
RPM Package FTP Site set to ftp.ncsa.uiuc.edu
RPM Package URL set to http://www.gridpackaging.org
RPM Packager set to NCSA
RPM Prefix set to /usr/grid
GNU target platform set to i686-pc-linux-gnu
  Installing     : perl-URI                                                                                                                           33/118 
  Installing     : glite-version                                                                                                                      34/118 
  Installing     : glassfish-jaf                                                                                                                      35/118 
  Installing     : glassfish-javamail                                                                                                                 36/118 
  Installing     : perl-IO-Socket-SSL                                                                                                                 37/118 
  Installing     : fetch-crl                                                                                                                          38/118 
  Installing     : glue-schema                                                                                                                        39/118 
  Installing     : ig-vomscerts-all                                                                                                                   40/118 
  Installing     : edg-gpt-profile                                                                                                                    41/118 
  Installing     : glite-security-voms-api                                                                                                            42/118 
  Installing     : ig-yaim-storm                                                                                                                      43/118 
  Installing     : ig-yaim                                                                                                                            44/118 
  Installing     : lcg-expiregridmapdir                                                                                                               45/118 
  Installing     : glite-yaim-core                                                                                                                    46/118 
  Installing     : lcg-vomscerts-desy                                                                                                                 47/118 
  Installing     : lcg-vomscerts                                                                                                                      48/118 
  Installing     : classpathx-mail                                                                                                                    49/118 
  Installing     : geronimo-javamail-1.4-api                                                                                                          50/118 
  Installing     : bouncycastle                                                                                                                       51/118 
  Installing     : glite-security-util-java                                                                                                           52/118 
  Installing     : geronimo-jms-1.1-api                                                                                                               53/118 
  Installing     : xml-commons                                                                                                                        54/118 
  Installing     : glite-info-provider-service                                                                                                        55/118 
  Installing     : zlib-devel                                                                                                                         56/118 
  Installing     : perl-XML-NamespaceSupport                                                                                                          57/118 
  Installing     : perl-XML-SAX                                                                                                                       58/118 
  Installing     : e2fsprogs-devel                                                                                                                    59/118 
  Installing     : regexp                                                                                                                             60/118 
  Installing     : bcel                                                                                                                               61/118 
  Installing     : perl-XML-RegExp                                                                                                                    62/118 
  Installing     : keyutils-libs-devel                                                                                                                63/118 
  Installing     : perl-Date-Manip                                                                                                                    64/118 
  Installing     : storm-info-dynamic                                                                                                                 65/118 
  Installing     : perl-HTML-Tagset                                                                                                                   66/118 
  Installing     : libsepol-devel                                                                                                                     67/118 
  Installing     : libselinux-devel                                                                                                                   68/118 
  Installing     : perl-Convert-ASN1                                                                                                                  69/118 
  Installing     : vdt_globus_essentials                                                                                                              70/118 
  Installing     : glite-security-voms-api-cpp                                                                                                        71/118 
  Installing     : glite-security-voms-api-c                                                                                                          72/118 
  Installing     : glite-security-lcmaps                                                                                                              73/118 
  Installing     : glite-security-lcmaps-plugins-voms                                                                                                 74/118 
  Installing     : glite-security-lcmaps-plugins-basic                                                                                                75/118 
  Installing     : CGSI_gSOAP_2.7-voms                                                                                                                76/118 
  Installing     : glite-security-lcmaps-without-gsi                                                                                                  77/118 
  Installing     : vdt_globus_data_server                                                                                                             78/118 
  Installing     : glite-security-lcas                                                                                                                79/118 
  Installing     : glite-security-lcas-lcmaps-gt4-interface                                                                                           80/118 
  Installing     : glite-security-lcmaps-plugins-verify-proxy                                                                                         81/118 
  Installing     : glite-security-lcas-plugins-voms                                                                                                   82/118 
  Installing     : glite-security-voms-clients                                                                                                        83/118 
  Installing     : glite-security-lcas-plugins-basic                                                                                                  84/118 
  Installing     : vdt_globus_rm_essentials                                                                                                           85/118 
  Installing     : vdt_globus_rm_server                                                                                                               86/118 
  Installing     : glite-security-lcas-plugins-check-executable                                                                                       87/118 
  Installing     : storm-backend-server                                                                                                               88/118 
The StoRM BackEnd server is installed but NOT configured yet.
You need to use yaim to configure the server.

create ln for /etc/init.d/storm-backend
create ln for /etc/cron.d/storm-backend.cron
  Installing     : glite-security-gsoap-plugin                                                                                                        89/118 
  Installing     : krb5-devel                                                                                                                         90/118 
  Installing     : perl-HTML-Parser                                                                                                                   91/118 
 Installing     : jakarta-commons-httpclient                                                                                                         92/118 
  Installing     : jakarta-commons-discovery                                                                                                          93/118 
  Installing     : wsdl4j                                                                                                                             94/118 
  Installing     : xml-commons-resolver                                                                                                               95/118 
  Updating       : krb5-workstation                                                                                                                   96/118 
  Installing     : perl-libwww-perl                                                                                                                   97/118 
  Installing     : perl-LDAP                                                                                                                          98/118 
  Installing     : glite-info-generic                                                                                                                 99/118 
  Installing     : openssl-devel                                                                                                                     100/118 
  Installing     : glite-initscript-globus-gridftp                                                                                                   101/118 
  Installing     : glite-info-provider-release                                                                                                       102/118 
  Installing     : bdii                                                                                                                              103/118 
  Installing     : perl-XML-DOM                                                                                                                      104/118 
  Installing     : storm-frontend-server-gcc32dbgpthr                                                                                                105/118 
  Installing     : perl-XML-Parser                                                                                                                   106/118 
  Installing     : edg-mkgridmap                                                                                                                     107/118 
  Installing     : edg-mkgridmap-conf                                                                                                                108/118 
  Installing     : ig_SE_storm_frontend                                                                                                              109/118 
  Installing     : log4j                                                                                                                             110/118 
  Installing     : mx4j                                                                                                                              111/118 
  Installing     : axis                                                                                                                              112/118 
  Installing     : glite-security-trustmanager                                                                                                       113/118 
  Installing     : ig_SE_storm_backend                                                                                                               114/118 
  Cleanup        : krb5-libs                                                                                                                         115/118 
  Cleanup        : openssl                                                                                                                           116/118 
  Cleanup        : krb5-workstation                                                                                                                  117/118 
  Cleanup        : openldap                                                                                                                          118/118 

Installed:
  ig_SE_storm_backend.i386 0:3.1.0-0_ig55_sl4                                  ig_SE_storm_frontend.i386 0:3.1.0-0_ig55_sl4                                 

Dependency Installed:
  CGSI_gSOAP_2.7-voms.i386 0:1.3.3-1.slc4                                           axis.i386 0:1.2.1-2jpp.6                                                 
  bcel.noarch 0:5.1-16.jpp5                                                         bdii.noarch 0:4.0.1-4                                                    
  bouncycastle.noarch 0:1.43-1.jpp5                                                 c-ares.i686 0:1.3.0-4.slc4                                               
  classpathx-mail.noarch 0:1.1.2-1.jpp5                                             compat-openldap.i386 0:2.3.43_2.2.29-12.el5_5.1                          
  e2fsprogs-devel.i386 0:1.39-23.el5                                                edg-gpt-profile.noarch 0:1.0.0-1                                         
  edg-mkgridmap.noarch 0:3.0.0-1                                                    edg-mkgridmap-conf.noarch 0:3.0.0-1                                      
  fetch-crl.noarch 0:2.7.0-1                                                        geronimo-jaf-1.0.2-api.noarch 0:1.2-13.jpp5                              
  geronimo-javamail-1.4-api.noarch 0:1.2-13.jpp5                                    geronimo-jms-1.1-api.noarch 0:1.2-13.jpp5                                
  geronimo-specs-poms.noarch 0:1.2-13.jpp5                                          glassfish-jaf.noarch 0:1.1.0-5.jpp5                                      
  glassfish-javamail.noarch 0:1.4.0-3.jpp5                                          glite-info-generic.noarch 0:2.0.2-3                                      
  glite-info-provider-release.noarch 0:1.0.2-1                                      glite-info-provider-service.noarch 0:1.1.7-0                             
  glite-initscript-globus-gridftp.noarch 0:1.0.2-1                                  glite-security-gsoap-plugin.i386 0:1.5.3-1.slc4                          
  glite-security-lcas.i386 0:1.3.11-2.slc4                                          glite-security-lcas-interface.i386 0:1.3.11-1.slc4                       
  glite-security-lcas-lcmaps-gt4-interface.i386 0:0.0.14-2.slc4                     glite-security-lcas-plugins-basic.i386 0:1.3.2-3.slc4                    
  glite-security-lcas-plugins-check-executable.i386 0:1.2.1-3.slc4                  glite-security-lcas-plugins-voms.i386 0:1.3.4-5.slc4                     
  glite-security-lcmaps.i386 0:1.4.7-1.slc4                                         glite-security-lcmaps-plugins-basic.i386 0:1.3.10-2.slc4                 
  glite-security-lcmaps-plugins-verify-proxy.i386 0:1.4.2-1.slc4                    glite-security-lcmaps-plugins-voms.i386 0:1.3.7-5.slc4                   
  glite-security-lcmaps-without-gsi.i386 0:1.4.2-1.slc4                             glite-security-trustmanager.noarch 0:1.8.16-3                            
  glite-security-util-java.noarch 0:1.4.0-1                                         glite-security-voms-api.i386 0:1.8.12-1.slc4                             
  glite-security-voms-api-c.i386 0:1.8.12-1.slc4                                    glite-security-voms-api-cpp.i386 0:1.8.12-1.slc4                         
  glite-security-voms-clients.i386 0:1.8.12-1.slc4                                  glite-version.noarch 0:3.1.2-1                                           
  glite-yaim-core.noarch 0:4.0.13-2                                                 glue-schema.noarch 0:1.3.0-5                                             
  gpt.i386 0:VDT1.6.0x86_rhas_4-1                                                   gridsite-shared.i386 0:1.1.21-1.slc4                                     
  ig-vomscerts-all.noarch 0:1.1-13                                                  ig-yaim.noarch 0:4.0.12-8_bc                                             
  ig-yaim-storm.noarch 0:4.0.9-11                                                   jakarta-commons-discovery.i386 1:0.3-4jpp.1                              
  jakarta-commons-httpclient.i386 1:3.0-7jpp.1                                      jakarta-commons-logging.noarch 0:1.1-8.jpp5                              
  java-1.6.0-sun-compat.i586 0:1.6.0.22-3.sl5.jpp                                   jdk.i586 2000:1.6.0_22-fcs                                               
  keyutils-libs-devel.i386 0:1.2-1.el5                                              krb5-devel.i386 0:1.6.1-55.el5_6.1                                       
  lcg-expiregridmapdir.noarch 0:2.1.0-1                                             lcg-vomscerts.noarch 0:6.3.0-1                                           
  lcg-vomscerts-desy.noarch 0:0.0.11-1                                              libselinux-devel.i386 0:1.33.4-5.5.el5                                   
  libsepol-devel.i386 0:1.15.2-3.el5                                                libtool-ltdl.i386 0:1.5.22-7.el5_4                                       
  libxslt.i386 0:1.1.17-2.el5_2.2                                                   log4cpp.i386 0:1.0-9.el5                                                 
  log4cxx.i686 0:0.9.7-1.slc4                                                       log4j.noarch 0:1.2.14-15.jpp5                                            
  mx4j.i386 1:3.0.1-6jpp.4                                                          mysql.i386 0:5.0.77-4.el5_5.4                                            
  mysql-server.i386 0:5.0.77-4.el5_5.4                                              openldap-clients.i386 0:2.3.43-12.el5_5.1                                
  openldap-servers.i386 0:2.3.43-12.el5_5.1                                         openssl-devel.i386 0:0.9.8e-12.el5_5.7                                   
  openssl097a.i386 0:0.9.7a-9.el5_4.2                                               perl-Compress-Zlib.i386 0:1.42-1.fc6                                     
  perl-Convert-ASN1.noarch 0:0.20-1.1                                               perl-Crypt-SSLeay.i386 0:0.51-11.el5                                     
  perl-DBD-MySQL.i386 0:3.0007-2.el5                                                perl-DBI.i386 0:1.52-2.el5                                               
  perl-Date-Manip.noarch 0:5.56-1.el4.rf                                            perl-HTML-Parser.i386 0:3.55-1.fc6                                       
  perl-HTML-Tagset.noarch 0:3.10-2.1.1                                              perl-IO-Socket-SSL.noarch 0:1.38-1.el4.rf                                
  perl-LDAP.noarch 1:0.33-3.fc6                                                     perl-Net-SSLeay.i386 0:1.36-1.el4.rf                                     
  perl-TermReadKey.i386 0:2.30-5.el5                                                perl-URI.noarch 0:1.35-3                                                 
  perl-XML-DOM.noarch 0:1.44-2.el4.rf                                               perl-XML-NamespaceSupport.noarch 0:1.09-1.2.1                            
  perl-XML-Parser.i386 0:2.34-6.1.2.2.1                                             perl-XML-RegExp.noarch 0:0.03-1.2.el4.rf                                 
  perl-XML-SAX.noarch 0:0.14-8                                                      perl-libwww-perl.noarch 0:5.805-1.1.1                                    
  regexp.noarch 0:1.5-1.jpp5                                                        storm-backend-server.i386 0:1.5.6-3.sl4                                  
  storm-frontend-server-gcc32dbgpthr.i386 0:1.5.0-4.sl4                             storm-info-dynamic.i386 0:1.6.0-1.sl4                                    
  vdt_globus_data_server.i386 0:VDT1.6.1x86_rhas_4-7                                vdt_globus_essentials.i386 0:VDT1.6.1x86_rhas_4-9                        
  vdt_globus_rm_essentials.i386 0:VDT1.6.1x86_rhas_4-7                              vdt_globus_rm_server.i386 0:VDT1.6.1x86_rhas_4_LCG-1                     
  vdt_globus_sdk.i386 0:VDT1.6.1x86_rhas_4-9                                        wsdl4j.i386 0:1.5.2-4jpp.1                                               
  xalan-c.i686 0:1.10.0-1.slc4                                                      xerces-c.i386 0:2.7.0-1.2.el4.rf                                         
  xml-commons.noarch 0:1.3.04-5.jpp5                                                xml-commons-resolver.i386 0:1.1-1jpp.12                                  
  xmlrpc-c.i386 0:1.04-1                                                            zlib-devel.i386 0:1.2.3-3                                                

Dependency Updated:
  krb5-libs.i386 0:1.6.1-55.el5_6.1    krb5-workstation.i386 0:1.6.1-55.el5_6.1    openldap.i386 0:2.3.43-12.el5_5.1    openssl.i686 0:0.9.8e-12.el5_5.7   

Complete!

Install the missing package

$ wget ftp://mirror.switch.ch/pool/1/mirror/mysql/Downloads/MySQL-4.1/MySQL-shared-standard-4.1.22-0.sles9.i586.rpm
--2011-02-12 11:50:50--  ftp://mirror.switch.ch/pool/1/mirror/mysql/Downloads/MySQL-4.1/MySQL-shared-standard-4.1.22-0.sles9.i586.rpm
           => `MySQL-shared-standard-4.1.22-0.sles9.i586.rpm'
Resolving mirror.switch.ch... 130.59.10.36, 2001:620:0:8::20
Connecting to mirror.switch.ch|130.59.10.36|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD /pool/1/mirror/mysql/Downloads/MySQL-4.1 ... done.
==> SIZE MySQL-shared-standard-4.1.22-0.sles9.i586.rpm ... 1665428
==> PASV ... done.    ==> RETR MySQL-shared-standard-4.1.22-0.sles9.i586.rpm ... done.
Length: 1665428 (1.6M)

100%[===================================================================================================================>] 1,665,428   3.50M/s   in 0.5s    

2011-02-12 11:50:51 (3.50 MB/s) - `MySQL-shared-standard-4.1.22-0.sles9.i586.rpm' saved [1665428]

$ rpm -ivh MySQL-shared-standard-4.1.22-0.sles9.i586.rpm
Preparing...                ########################################### [100%]
   1:MySQL-shared-standard  ########################################### [100%]

Install CAs

$ yum install -y lcg-CA

C E R T I F I C A T E S

Installing certificate

$ cd /etc/grid-security/
drwxr-xr-x  2 root root 20480 Jun 30 16:36 certificates
-rw-r--r--  1 root root  1062 Jun 30 16:42 hostcert.pem
-r--------  1 root root   887 Jun 30 16:42 hostkey.pem
drwxr-xr-x  2 root root  4096 Jun 30 16:40 vomsdir

P A R T I T I O N I N G

$ mkdir /root/storage

C O N F I G U R I N G

Edit the /opt/glite/yaim/examples/siteinfo/ig-site-info.def file

# List of unix users to be created in the service nodes.
USERS_CONF=${INSTALL_ROOT}/glite/yaim/examples/ig-users.conf

# List of the local accounts which a user should be mapped to.
GROUPS_CONF=${INSTALL_ROOT}/glite/yaim/examples/ig-groups.conf

# Uncomment this variable if you are installing a mysql server
# It is the MySQL admin password.
MYSQL_PASSWORD=KualaLumpur

# Space separated list of SEs hostnames
SE_LIST="$STORM_BACKEND_HOST"

# Space separated list of VOs supported by your site
VOS="eumed infngrid"

#########
# eumed #
#########
VO_EUMED_SW_DIR=$VO_SW_DIR/eumed
VO_EUMED_DEFAULT_SE=$SE_HOST
VO_EUMED_STORAGE_DIR=$CLASSIC_STORAGE_DIR/eumed
VO_EUMED_VOMS_SERVERS="'vomss://voms2.cnaf.infn.it:8443/voms/eumed?/eumed' 'vomss://voms-02.pd.infn.it:8443/voms/eumed?/eumed'"
VO_EUMED_VOMSES="'eumed voms2.cnaf.infn.it 15016 /C=IT/O=INFN/OU=Host/L=CNAF/CN=voms2.cnaf.infn.it eumed' 'eumed voms-02.pd.infn.it 15016 /C=IT/O=INFN/OU=Host/L=Padova/CN=voms-02.pd.infn.it eumed'"
VO_EUMED_VOMS_CA_DN="'/C=IT/O=INFN/CN=INFN CA' '/C=IT/O=INFN/CN=INFN CA'"
VO_EUMED_WMS_HOSTS="wms-01.eumedgrid.eu"

############
# infngrid #
############
VO_INFNGRID_SW_DIR=$VO_SW_DIR/infngrid
VO_INFNGRID_DEFAULT_SE=$SE_HOST
VO_INFNGRID_STORAGE_DIR=$CLASSIC_STORAGE_DIR/infngrid
VO_INFNGRID_VOMS_SERVERS="'vomss://voms.cnaf.infn.it:8443/voms/infngrid?/infngrid' 'vomss://voms-01.pd.infn.it:8443/voms/infngrid?/infngrid'"
VO_INFNGRID_VOMSES="'infngrid voms.cnaf.infn.it 15000 /C=IT/O=INFN/OU=Host/L=CNAF/CN=voms.cnaf.infn.it infngrid' 'infngrid voms-01.pd.infn.it 15000 /C=IT/O=INFN/OU=Host/L=Padova/CN=voms-01.pd.infn.it infngrid'"
VO_INFNGRID_VOMS_CA_DN="'/C=IT/O=INFN/CN=INFN CA' '/C=IT/O=INFN/CN=INFN CA'"

Add the unix users in the /opt/glite/yaim/examples/ig-users.conf file
70000:eumed01:48000:eumed:eumed::
70001:eumed01:48000:eumed:eumed::
70002:eumed01:48000:eumed:eumed::
70003:eumed01:48000:eumed:eumed::
70004:eumed01:48000:eumed:eumed::
70005:eumed01:48000:eumed:eumed::
70006:eumed01:48000:eumed:eumed::
70007:eumed01:48000:eumed:eumed::
70008:eumed01:48000:eumed:eumed::
70009:eumed01:48000:eumed:eumed::
70010:eumed10:48000:eumed:eumed::
70110:sgmeumed01:47001,48000:eumedsgm,eumed:eumed:sgm
70111:sgmeumed02:47001,48000:eumedsgm,eumed:eumed:sgm
70112:sgmeumed03:47001,48000:eumedsgm,eumed:eumed:sgm
[..]
2451:infngrid001:2405:infngrid:infngrid::
2452:infngrid002:2405:infngrid:infngrid::
2453:infngrid003:2405:infngrid:infngrid::
2454:infngrid004:2405:infngrid:infngrid::
2455:infngrid005:2405:infngrid:infngrid::
2456:infngrid006:2405:infngrid:infngrid::
2457:infngrid007:2405:infngrid:infngrid::
2458:infngrid008:2405:infngrid:infngrid::
2459:infngrid009:2405:infngrid:infngrid::
2460:infngrid010:2405:infngrid:infngrid::
7106:sgminfngrid001:2504,2405:sgminfngrid,infngrid:infngrid:sgm:
7206:sgminfngrid002:2504,2405:sgminfngrid,infngrid:infngrid:sgm:
7306:sgminfngrid003:2504,2405:sgminfngrid,infngrid:infngrid:sgm:

Add the unix groups in the /opt/glite/yaim/examples/ig-groups.conf file
"/eumed/ROLE=SoftwareManager":::sgm
"/eumed"::::
"/infngrid/ROLE=SoftwareManager":::sgm:
"/infngrid/ROLE=pilot":::pilot:
"/infngrid"::::

Edit the /opt/glite/yaim/examples/siteinfo/services/ig-se_storm_frontend file
# Database settings
#---------------------------------------------------------
STORM_DB_PWD=KualaLumpur

Edit the /opt/glite/yaim/examples/siteinfo/services/ig-se_storm_backend file
# StoRM backend host
STORM_BACKEND_HOST=vm03.ct.infn.it

# StoRM default storage path
STORM_DEFAULT_ROOT=/storage

# Database settings
#---------------------------------------------------------
# Host for database connection.
# OPTIONAL - Default value: localhost
#STORM_DB_HOST=localhost
# User for database connection.
# OPTIONAL - Default value: storm
#STORM_DB_USER=storm
# Password for database connection.
# COMPULSORY - No default value.
STORM_DB_PWD=KualaLumpur

# Storage Areas settings
#---------------------------------------------------------
# List of supported Storage Areas.
# Usually at least one Storage Area for each VO specified in VOS should be created. (e.g. STORM_STORAGEAREA_LIST="SA1 SA2 SA3").
# OPTIONAL - Default value: ${VOS}
STORM_STORAGEAREA_LIST=${VOS}

# **COMPULSORY** variables
STORM_INFNGRID_VONAME=infngrid
STORM_EUMED_VONAME=eumed

Start the configuration with ig_yaim

$ /opt/glite/yaim/bin/ig_yaim -c -s /opt/glite/yaim/examples/siteinfo/ig-site-info.def -n ig_SE_storm_backend -n ig_SE_storm_frontend
   WARNING: 
   WARNING: *****************************************************************************
   WARNING: Your siteinfo directory is world readable. This is generally a bad idea      
   WARNING: as configuration files may contain passwords and other sensitive information.
   WARNING: *****************************************************************************
   WARNING: 
   INFO: Using site configuration file: /opt/glite/yaim/examples/siteinfo/ig-site-info.def
   INFO: Sourcing service specific configuration file: /opt/glite/yaim/examples/siteinfo/services/ig-se_storm_backend
   INFO: Sourcing service specific configuration file: /opt/glite/yaim/examples/siteinfo/services/ig-se_storm_frontend
   INFO: 
         ###################################################################
         
         .             /'.-. ')
         .     yA,-"-,( ,m,:/ )   .oo.     oo    o      ooo  o.     .oo
         .    /      .-Y a  a Y-.     8. .8'    8'8.     8    8b   d'8
         .   /           ~ ~ /         8'    .8oo88.     8    8  8'  8
         . (_/         '===='          8    .8'     8.   8    8  Y   8
         .   Y,-''-,Yy,-.,/           o8o  o8o    o88o  o8o  o8o    o8o
         .    I_))_) I_))_)
         
         
         current working directory: /root
         site-info.def date: Feb 21 13:35 /opt/glite/yaim/examples/siteinfo/ig-site-info.def
         yaim command: -c -s /opt/glite/yaim/examples/siteinfo/ig-site-info.def -n ig_SE_storm_backend -n ig_SE_storm_frontend
         log file: /opt/glite/yaim/bin/../log/yaimlog
         Mon Feb 21 13:42:39 CET 2011 : /opt/glite/yaim/bin/ig_yaim
         
         Installed YAIM versions:
         glite-yaim-core 4.0.13-2
         ig-yaim 4.0.12-8_bc
         ig-yaim-storm 4.0.9-11
         
         ####################################################################
   INFO: The default location of the grid-env.(c)sh files will be: /opt/glite/etc/profile.d
   INFO: Sourcing the utilities in /opt/glite/yaim/functions/utils
   INFO: Detecting environment
   INFO: Executing function: config_ntp_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_ntp
   INFO: Executing function: config_add_pool_env_check 
   INFO: Executing function: config_sysconfig_lcg_check 
   INFO: Executing function: config_host_certs_check 
   INFO: Executing function: config_vomsdir_check 
   INFO: Executing function: config_users_check 
   INFO: Executing function: config_edgusers_check 
   INFO: Executing function: config_mkgridmap_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_mkgridmap
   INFO: Executing function: config_vomsmap_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_vomsmap
   INFO: Executing function: config_storm_generic_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_generic
   INFO: No required variables to set.
   INFO: Executing function: config_storm_dir_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_dir
   INFO: Executing function: config_storm_mysql_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_mysql
   INFO: Executing function: config_gip_storm_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_gip_storm
   INFO: Executing function: config_lcas_lcmaps_gt4_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_lcas_lcmaps_gt4
   INFO: Executing function: config_globus_clients_check 
   INFO: Executing function: config_globus_gridftp_check 
   INFO: Executing function: config_lcgenv_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_lcgenv
   INFO: Executing function: config_storm_rfio_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_rfio
   INFO: No required variables to set.
   INFO: Executing function: config_storm_properties_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_properties
   INFO: Executing function: config_storm_namespace_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_namespace
   INFO: Executing function: config_storm_backend_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_backend
   INFO: No required variables to set.
   INFO: Executing function: config_storm_frontend_check 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_frontend
   INFO: Executing function: config_bdii_only_check 
   INFO: Executing function: config_ntp_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_ntp
   INFO: Executing function: config_ntp 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_ntp
   INFO: Storing old ntp settings in /etc/ntp.conf.yaimold.20110221_134241
   INFO: Executing function: config_ldconf 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_ldconf
   INFO: Executing function: config_add_pool_env_setenv 
   INFO: Executing function: config_add_pool_env 
   INFO: Executing function: config_sysconfig_edg 
   INFO: Executing function: config_sysconfig_globus 
   INFO: Executing function: config_sysconfig_lcg 
   INFO: Executing function: config_crl 
   INFO: Executing function: config_host_certs 
   INFO: Executing function: config_vomsdir_setenv 
   INFO: Executing function: config_vomsdir 
   INFO: Executing function: config_users 
INFO: Executing function: config_edgusers 
   INFO: Executing function: config_mkgridmap_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_mkgridmap
   INFO: Executing function: config_mkgridmap 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_mkgridmap
   INFO: The grid-map file will also contain special users for VO EUMED since UNPRIVILEGED_MKGRIDMAP=no for the VO.
   INFO: Adding ordinary users in the gridmap file since the VO is defined in groups.conf
   INFO: The grid-map file will also contain special users for VO INFNGRID since UNPRIVILEGED_MKGRIDMAP=no for the VO.
   INFO: Adding ordinary users in the gridmap file since the VO is defined in groups.conf
   INFO: Now creating the grid-mapfile - this may take a few minutes...
   INFO: Executing function: config_vomsmap_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_vomsmap
   INFO: Executing function: config_vomsmap 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_vomsmap
   INFO: Creating grid-map directory in /etc/grid-security/gridmapdir
   INFO: Creating voms grid-map file in /etc/grid-security/voms-grid-mapfile
   INFO: Creating voms groupmap file in /etc/grid-security/groupmapfile
   INFO: Executing function: config_storm_generic_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_generic
   INFO: No enviroment variables to set.
   INFO: Executing function: config_storm_generic 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_generic
   INFO: config_storm_generic: Updating host certificate and key in /etc/grid-security/storm
   INFO: config_storm_generic: Adding user 'storm' to the group 'edguser'
   INFO: config_storm_generic: Adding user edguser to 'storm' group
   INFO: Executing function: config_storm_dir_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_dir
   INFO: No enviroment variables to set.
   INFO: Executing function: config_storm_dir 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_dir
   INFO: config_storm_dir: Setting up JAVA environment
   INFO: Executing function: config_storm_mysql_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_mysql
   INFO: No enviroment variables to set.
   INFO: Executing function: config_storm_mysql 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_mysql
   INFO: config_storm_mysql: Restart MySQL service
Stopping MySQL:                                            [  OK  ]
Starting MySQL:                                            [  OK  ]
   WARNING: config_storm_mysql: MySQL password for 'root@localhost' is already set! Skipping
   WARNING: config_storm_mysql: MySQL password for 'root@vm03.ct.infn.it' is already set! Skipping
Update done!
   INFO: Executing function: config_gip_only 
   INFO: Executing function: config_gip_storm_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_gip_storm
   INFO: Executing function: config_gip_storm 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_gip_storm
   INFO: config_gip_storm: Static service information
   INFO: config_gip_storm: Creating /opt/glite/etc/gip/provider/service-srm2.2 ...
   INFO: config_gip_storm: Creating /opt/glite/etc/gip/glite-info-service-srm2.2.conf ...
   INFO: config_gip_storm: Static storage information
   INFO: config_gip_storm: Creating /opt/glite/etc/gip/ldif/static-file-StoRM.ldif ...
   INFO: config_gip_storm: Successfully created /opt/glite/etc/gip/ldif/static-file-StoRM.ldif !
   INFO: config_gip_storm: Dynamic storage information
   INFO: config_gip_storm: Creating /opt/storm/backend/etc/storm-yaim-variables.conf ...
   INFO: config_gip_storm: Creating /opt/glite/etc/gip/plugin/glite-info-dynamic-storm ...
   INFO: Executing function: config_gip_service_release 
   INFO: Executing function: config_rfio 
   INFO: Executing function: config_lcas_lcmaps_gt4_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_lcas_lcmaps_gt4
   INFO: Executing function: config_lcas_lcmaps_gt4 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_lcas_lcmaps_gt4
   INFO: Creating LCAS_DB_FILE in /opt/glite/etc/lcas/lcas.db
   INFO: Creating LCMAPS_DB_FILE in /opt/glite/etc/lcmaps/lcmaps.db
   INFO: Executing function: config_globus_clients_setenv 
   INFO: Executing function: config_globus_clients 
   INFO: Configure the globus service
setup-tmpdirs: creating ./config.status
config.status: creating globus-script-initializer
config.status: creating Paths.pm
creating globus-sh-tools-vars.sh
creating globus-script-initializer
creating Globus::Core::Paths
checking globus-hostname
Done
   INFO: Executing function: config_globus_gridftp_setenv 
   INFO: Executing function: config_globus_gridftp 
   INFO: Starting gridftp service :
Shutting down globus-gridftp-server:                       [  OK  ]
Starting globus-gridftp-server                             [  OK  ]
   INFO: Executing function: config_lcgenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_lcgenv
   INFO: Executing function: config_nfs_sw_dir_server 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_nfs_sw_dir_server
   INFO: $HOST_SW_DIR is not this host. Skip!
   INFO: Executing function: config_storm_rfio_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_rfio
   INFO: No enviroment variables to set.
   INFO: Executing function: config_storm_rfio 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_rfio
   INFO: config_storm_rfio: Configuring RFIO for StoRM
   INFO: Executing function: config_storm_properties_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_properties
   INFO: No enviroment variables to set.
   INFO: Executing function: config_storm_properties 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_properties
   INFO: config_storm_properties: Processing /etc/sysconfig/storm-backend ...
   INFO: config_storm_properties: Configuration file
   INFO: config_storm_properties: Creating /opt/storm/backend/etc/storm.properties ...
   INFO: config_storm_properties: Successfully created /opt/storm/backend/etc/storm.properties !
   INFO: Executing function: config_storm_namespace_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_namespace
   INFO: No enviroment variables to set.
   INFO: Executing function: config_storm_namespace 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_namespace
   INFO: config_storm_namespace: Configuration file
   INFO: config_storm_namespace: Creating /opt/storm/backend/etc/namespace.xml ...
   INFO: config_storm_namespace: Successfully created /opt/storm/backend/etc/namespace.xml !
   INFO: Executing function: config_storm_backend_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_backend
   INFO: Executing function: config_storm_backend 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_backend
   INFO: config_storm_backend: Processing /etc/init.d/storm-backend ...
   INFO: config_storm_backend: Processing /etc/cron.d/storm-backend.cron ...
   INFO: config_storm_backend: Processing /etc/logrotate.d/storm-backend.logrotate ...
   INFO: config_storm_backend: Restart service.
32-bit OS
LCMAPS DB file '/opt/storm/backend/etc/lcmaps.db'
LCMAPS LOG file '/opt/storm/backend/var/log/lcmaps.log'
LCMAPS DEBUG level '0'
Stopping StoRM BackEnd server                              [  OK  ]
32-bit OS
StoRM backend: sent command START                          [  OK  ]
Starting StoRM BackEnd server                              [  OK  ]
   INFO: Executing function: config_storm_frontend_setenv 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_frontend
   INFO: No enviroment variables to set.
   INFO: Executing function: config_storm_frontend 
   INFO: Using locally defined function /opt/glite/yaim/functions/local/config_storm_frontend
   INFO: config_storm_frontend: Checking connection StoRM backend database
   INFO: config_storm_frontend: Ok!
   INFO: config_storm_frontend: Configuration file
   INFO: config_storm_frontend: Creating /opt/storm/frontend/etc/storm-frontend.conf ...
   INFO: config_storm_frontend: Successfully created /opt/storm/frontend/etc/storm-frontend.conf !
   INFO: config_storm_frontend: Processing /etc/init.d/storm-frontend ...
   INFO: config_storm_frontend: Processing /etc/cron.d/storm-frontend.cron ...
   INFO: config_storm_frontend: Processing /etc/logrotate.d/storm-frontend.logrotate ...
   INFO: config_storm_frontend: Restart service
storm-frontend already stopped
Starting storm-frontend as user "storm"... ok.
   INFO: Executing function: config_bdii_only 
Stopping BDII                                              [FAILED]
Starting BDII                                              [  OK  ]
   INFO: Configuration Complete.                                               [  OK  ]
   INFO: YAIM terminated succesfully.

Warning

In case the configuration hangs on the config_storm_properties, open the /opt/glite/yaim/functions/local/config_storm_properties file and change the URL variable as follows:
#URL="http://dev.mysql.com/get/Downloads/Connector-J/mysql-connector-java-5.1.13.tar.gz/from/http://mi.mirror.garr.it/mirrors/MySQL/"
URL=http://ftp.plusline.de/mysql/Downloads/Connector-J/mysql-connector-java-5.1.13.tar.gz

Disable YUM update

$ /etc/init.d/yum stop 
Disabling nightly yum update: [ OK ]

Ports Check

Use the netstat command to see what services are listening on which ports.
$ netstat -tnlp
Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address               Foreign Address             State       PID/Program name   
tcp        0      0 0.0.0.0:3306                0.0.0.0:*                   LISTEN      25809/mysqld        
tcp        0      0 0.0.0.0:111                 0.0.0.0:*                   LISTEN      1125/portmap        
tcp        0      0 0.0.0.0:914                 0.0.0.0:*                   LISTEN      1156/rpc.statd      
tcp        0      0 0.0.0.0:2170                0.0.0.0:*                   LISTEN      29468/bdii-fwd [acc 
tcp        0      0 0.0.0.0:8444                0.0.0.0:*                   LISTEN      28946/storm-fronten 
tcp        0      0 :::9998                     :::*                        LISTEN      28374/java          
tcp        0      0 :::8080                     :::*                        LISTEN      28374/java          
tcp        0      0 :::22                       :::*                        LISTEN      1460/sshd           
tcp        0      0 :::2811                     :::*                        LISTEN      27619/globus-gridft 
tcp        0      0 :::4444                     :::*                        LISTEN      28374/java    

T E S T I N G

Create a VOMS proxy with your FQANs
        $ voms-proxy-init --voms infngrid
	Enter GRID pass phrase:
	Your identity: /C=IT/O=INFN/OU=Personal Certificate/L=Catania/CN=Giuseppe La Rocca
	Creating temporary proxy ................................. Done
	Contacting  voms-01.pd.infn.it:15000 [/C=IT/O=INFN/OU=Host/L=Padova/CN=voms-01.pd.infn.it] "infngrid" Done
	Creating proxy .......................... Done
	Your proxy is valid until Tue Feb 22 05:45:51 2011

Check authentication
$ uberftp vm03.ct.infn.it
	220 vm03.ct.infn.it GridFTP Server 2.3 (gcc32dbg, 1144436882-63) ready.
	230 User infngrid003 logged in.
	uberftp> quit
	221 Goodbye.
	kthxbye

Validating GridFTP server transferring a file to the /tmp remote directory...
$ globus-url-copy -vb file:$PWD/my_test_file gsiftp://vm03.ct.infn.it:2811/tmp/my_test_file
	Source: file:/home/larocca/
	Dest:   gsiftp://vm03.ct.infn.it:2811/tmp/
	  my_test_file
        	   13 bytes         0.00 MB/sec avg         0.00 MB/sec inst

Check the clientSRM tool
$ /opt/storm/srm-clients/bin/clientSRM -h

	Usage: /opt/storm/srm-clients/bin/clientSRM  

	 can be (it is not case-sensitive):
	  Discovery functions:
        	              Ping
                	      GetTransferProtocols    (or gtp)

	  Directory functions:
        	              Mkdir
                	      Rmdir
	                      Rm
        	              Ls
                	      Mv

	  Data transfer functions:
        	              PtP
                	      PtG
	                      Copy                    (or cp)
        	              StatusPtP               (or sptp)
                	      StatusPtG               (or sptg)
	                      StatusCopy              (or scp)
        	              PutDone                 (or pd)
                	      ReleaseFiles            (or rf)
	                      BringOnline             (or bol)
        	              StatusBringOnline       (or sbol)
                	      GetRequestTokens        (or grt)
	                      GetRequestSummary       (or grs)
        	              AbortRequest            (or ar)
                	      AbortFiles              (or af)
	                      ExtendFileLifeTime      (or efl)

	  Space management functions:
        	              ReserveSpace            (or rs)
                	      GetSpaceMetadata        (or gsm)
	                      ReleaseSpace            (or rsp)
        	              GetSpaceTokens          (or gst)

	Type "/opt/storm/srm-clients/bin/clientSRM  -h" to get help about  options

	Global options:
	    -h, --help            Print this help message
	    -v, --version         Print version information

Check the status of the STORM server
       $ /opt/storm/srm-clients/bin/clientSRM ping -e vm03.ct.infn.it:8444
	============================================================
	Sending Ping request to: vm03.ct.infn.it:8444
	============================================================
	Request status:
	  statusCode="SRM_SUCCESS"(0)
	  explanation="SRM server successfully contacted"
	============================================================
	SRM Response:
	  versionInfo="v2.2"
	  otherInfo (size=3)
	    [0] key="backend_type"
	    [0] value="StoRM"
	    [1] key="backend_version"
	    [1] value=""
	    [2] key="backend_os_distribution"
	    [2] value="Scientific Linux SL release 5.5 (Boron)"
	============================================================

Create a working directory
       $ /opt/storm/srm-clients/bin/clientSRM mkdir -e vm03.ct.infn.it:8444 -s srm://vm03.ct.infn.it/infngrid/test
	============================================================
	Sending Mkdir request to: vm03.ct.infn.it:8444
	============================================================
	Request status:
	  statusCode="SRM_SUCCESS"(0)
	  explanation="Directory created with success"
	============================================================
	SRM Response:
	============================================================

Send a srmPreparateToPut request to the StoRM endpoint, to prepare the space and the environment to receive your file
$ /opt/storm/srm-clients/bin/clientSRM ptp -e vm03.ct.infn.it:8444 -s srm://vm03.ct.infn.it/infngrid/test/testfile -p
	============================================================
	Sending PtP request to: vm03.ct.infn.it:8444
	============================================================
	Polling request status:
	Current status: SRM_REQUEST_QUEUED (Ctrl+c to stop polling).
	============================================================
	Request status:
	  statusCode="SRM_SUCCESS"(0)
	  explanation="All chunks successfully handled!"
	============================================================
	SRM Response:
	  requestToken="41f63216-8acb-4084-ace1-b84671b1a871"
	  arrayOfFileStatuses (size=1)
	      [0] SURL="srm://vm03.ct.infn.it/infngrid/test/testfile"
	      [0] status: statusCode="SRM_SPACE_AVAILABLE"(24)
        	          explanation="srmPrepareToPut successfully handled!"
	      [0] estimatedWaitTime=-1
	      [0] TURL="gsiftp://vm03.ct.infn.it:2811//storage/infngrid/test/testfile"
	============================================================

From the PreparateToPut response, you will receive a TURL that you will use fro your GridFTP transfer.

        $ globus-url-copy -vb file:/home/larocca/hostname.jdl gsiftp://vm03.ct.infn.it:2811//storage/infngrid/test/testfile
	Source: file:/home/larocca/
	Dest:   gsiftp://vm03.ct.infn.it:2811//storage/infngrid/test/
	  hostname.jdl  ->  testfile
        	 1082 bytes         0.00 MB/sec avg         0.00 MB/sec inst

Confirm the end of transfer operation to the SRM server with the srmPutDone option, the SURL and thre requestToken
       $ /opt/storm/srm-clients/bin/clientSRM PutDone  -e vm03.ct.infn.it:8444 \
						 -s srm://vm03.ct.infn.it/infngrid/test/testfile \
					         -t 41f63216-8acb-4084-ace1-b84671b1a871
	============================================================
	Sending PutDone request to: vm03.ct.infn.it:8444
	============================================================
	Request status:
	  statusCode="SRM_SUCCESS"(0)
	  explanation="All file requests are successfully completed"
	============================================================
	SRM Response:
	  arrayOfFileStatuses (size=1)
	      [0] SURL="srm://vm03.ct.infn.it/infngrid/test/testfile"
	      [0] status: statusCode="SRM_SUCCESS"(0)
        	          explanation=""
	============================================================

Listing the new file on the server...
       $ /opt/storm/srm-clients/bin/clientSRM ls -e vm03.ct.infn.it:8444 \
						  -s srm://vm03.ct.infn.it/infngrid/test/testfile
	============================================================
	Sending Ls request to: vm03.ct.infn.it:8444
	============================================================
	Request status:
	  statusCode="SRM_SUCCESS"(0)
	  explanation="All requests successfully completed"
	============================================================
	SRM Response:
	  details (size=1)
	      [0] path="/infngrid/test/testfile"
	      [0] size=1082
	      [0] status: statusCode="SRM_SUCCESS"(0)
        	          explanation="Successful request completion"
	============================================================

A more detailed explanation about the srm2.2 client can be found here

L O G Files

/var/log/messages
/opt/storm/frontend/var/log/storm-frontend.log
/opt/storm/backend/var/log/storm-backend.log
/opt/storm/backend/var/log/heartbeat.log
/opt/storm/backend/var/log/lcmaps.log
/opt/storm/backend/var/log/storm-backend.stdout
/opt/storm/backend/var/log/storm-backend.stderr

Troubleshooting

http://storm.forge.cnaf.infn.it/documentation/troubles

Credits

This wiki page is based on Giuseppe Misurelli's presentation available at this URL

-- GiuseppeLaRocca - 2011-02-24


This topic: SiteAdminCorner > WebHome > InstallationAndConfigurationOfAStoRMStorageElement
Topic revision: r4 - 2011-11-28 - GiuseppeLaRocca
 
This site is powered by the TWiki collaboration platformCopyright © 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback